Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.search
Class PatternModel.RegexCreator

    java.lang.Object
      org.jdesktop.swingx.search.PatternModel.RegexCreator

Direct Known Subclasses:
  PatternModel.AnchoredSearchMode

Enclosing class:
  PatternModel

    public static class PatternModel.RegexCreator

extends java.lang.Object

Responsible for converting a "raw text" into a valid regular expression in the context of a set of rules.

Field Summary
`protected java.lang.String` | `matchRule`

Constructor Summary
`PatternModel.RegexCreator()`

Method Summary
`protected java.lang.String` | `createContainedRegEx(java.lang.String searchString)`
`protected java.lang.String` | `createEndAnchoredRegEx(java.lang.String searchString)`
`protected java.lang.String` | `createEqualsRegEx(java.lang.String searchString)`
`java.lang.String` | `createRegEx(java.lang.String searchString)`
`protected java.lang.String` | `createStartsAnchoredRegEx(java.lang.String searchString)`
`protected java.lang.String` | `getDefaultMatchRule()`
`java.lang.String` | `getMatchRule()`
`java.util.List<java.lang.String>` | `getMatchRules()`
`boolean` | `isAutoDetect()`
`void` | `setMatchRule(java.lang.String category)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matchRule

    protected java.lang.String matchRule

Constructor Detail

### PatternModel.RegexCreator

    public PatternModel.RegexCreator()

Method Detail

### getMatchRule

    public java.lang.String getMatchRule()

### isAutoDetect

    public boolean isAutoDetect()

### createRegEx

    public java.lang.String createRegEx(java.lang.String searchString)

### createEndAnchoredRegEx

    protected java.lang.String createEndAnchoredRegEx(java.lang.String searchString)

### createStartsAnchoredRegEx

    protected java.lang.String createStartsAnchoredRegEx(java.lang.String searchString)

### createEqualsRegEx

    protected java.lang.String createEqualsRegEx(java.lang.String searchString)

### createContainedRegEx

    protected java.lang.String createContainedRegEx(java.lang.String searchString)

### setMatchRule

    public void setMatchRule(java.lang.String category)

### getDefaultMatchRule

    protected java.lang.String getDefaultMatchRule()

### getMatchRules

    public java.util.List<java.lang.String> getMatchRules()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.